{
  "format_version": "1.17.0",
  "minecraft:spawn_rules": {
    "description": {
      "identifier": "silverlabs_nat:snake",
      "population_control": "animal"
    },
    "conditions": [
      {
        "minecraft:spawns_on_surface": {},
        "minecraft:spawns_on_block_filter": [
          "minecraft:grass",
          "minecraft:snow",
          "minecraft:sand",
          "minecraft:snow_layer"
        ],
        "minecraft:weight": {
          "default": 20
        },
        "minecraft:biome_filter": [
          {
            "test": "has_biome_tag",
            "operator": "==",
            "value": "forest"
          }
        ]
      },
      {
        "minecraft:spawns_on_surface": {},
        "minecraft:spawns_on_block_filter": [
          "minecraft:grass",
          "minecraft:snow",
          "minecraft:sand",
          "minecraft:snow_layer"
        ],
        "minecraft:weight": {
          "default": 20
        },
        "minecraft:biome_filter": [
          {
            "test": "has_biome_tag",
            "operator": "==",
            "value": "flower_forest"
          }
        ]
      },
      {
        "minecraft:spawns_on_surface": {},
        "minecraft:spawns_on_block_filter": [
          "minecraft:grass",
          "minecraft:snow",
          "minecraft:sand",
          "minecraft:snow_layer"
        ],
        "minecraft:weight": {
          "default": 20
        },
        "minecraft:biome_filter": [
          {
            "test": "has_biome_tag",
            "operator": "==",
            "value": "plains"
          }
        ]
      },
      {
        "minecraft:spawns_on_surface": {},
        "minecraft:spawns_on_block_filter": [
          "minecraft:grass",
          "minecraft:snow",
          "minecraft:sand",
          "minecraft:snow_layer"
        ],
        "minecraft:weight": {
          "default": 20
        },
        "minecraft:biome_filter": [
          {
            "test": "has_biome_tag",
            "operator": "==",
            "value": "swamp"
          }
        ]
      },
      {
        "minecraft:spawns_on_surface": {},
        "minecraft:spawns_on_block_filter": [
          "minecraft:grass",
          "minecraft:snow",
          "minecraft:sand",
          "minecraft:snow_layer"
        ],
        "minecraft:weight": {
          "default": 20
        },
        "minecraft:biome_filter": [
          {
            "test": "has_biome_tag",
            "operator": "==",
            "value": "mangrove_swamp"
          }
        ]
      },
      {
        "minecraft:spawns_on_surface": {},
        "minecraft:spawns_on_block_filter": [
          "minecraft:grass",
          "minecraft:snow",
          "minecraft:sand",
          "minecraft:snow_layer"
        ],
        "minecraft:weight": {
          "default": 20
        },
        "minecraft:biome_filter": {
          "any_of": [
            {
              "test": "has_biome_tag",
              "operator": "==",
              "value": "bop_ks:bayou"
            },
            {
              "test": "has_biome_tag",
              "operator": "==",
              "value": "bop_ks:bog"
            },
            {
              "test": "has_biome_tag",
              "operator": "==",
              "value": "bop_ks:wetland"
            },
            {
              "test": "has_biome_tag",
              "operator": "==",
              "value": "bop_ks:grassland"
            },
            {
              "test": "has_biome_tag",
              "operator": "==",
              "value": "bop_ks:lavender_field"
            }
          ]
        }
      }
    ]
  }
}
